Subject: 29.0.50; C-y seems to contain an old contents

From: Peter Dyballa <[email-masked]>
Date: Sat, 11 Dec 2021 15:58:13 +0100

Hello!

On macOS Monterey, Version 12.0.1, I am working with the MacPorts package manager inside GNU Emacs. In shell-mode I invoke the port utility to self upgrade and the list the outdated packages. After reading I mark this region (completely or partially) and apply shell-command-on-region to extract the names of the outdated ports (packages). The command used is awk. In *Shell Command Output* I often re-order the sequence or remove some names and finally convert newlines into spaces. Going to the beginning of the line I can just C-k and later C-y to upgrade the specified ports. Kind of new behaviour is now that the region in *shell* buffer stays marked so that C-y inserts its contents and not the killed line. I have to Esc-y to get the killed line contents.

Is this the new behaviour or just a bug that I observed now a few times? I also have to adjust (clean) my site-support for next launch…

BTW, I've seen a bug again that was reported here as bug#47122 for GNU Emacs 27.1.91; Quitting GNU Emacs lets 'ccccc' appear in another X client. With GNU Emacs 28.0.50 and the regular 27.x versions I never could reproduce this behaviour…

In GNU Emacs 29.0.50 (build 1, x86_64-apple-darwin21.1.0, X toolkit, cairo version 1.17.4, Xaw3d scroll bars)
 of 2021-11-11 built on Kleines.fritz.box
Repository revision: 5f5189e9be6c70c4db99e8057287d16955b9c620
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description:  macOS 12.0.1

Configured using:
 'configure --prefix=/opt/local --disable-silent-rules --without-ns
 --without-dbus --without-gconf --without-libotf --without-m17n-flt
 --with-libgmp --with-gnutls --with-json --with-xml2 --with-modules
 --infodir /opt/local/share/info/emacs --with-native-compilation
 --with-x-toolkit=lucid --with-xaw3d --without-imagemagick --with-xpm
 --with-jpeg --with-tiff --with-gif --with-png --with-lcms2
 --without-rsvg --with-xft 'CFLAGS=-pipe -Os
 -isysroot/Library/Developer/CommandLineTools/SDKs/MacOSX12.sdk -arch
 x86_64' 'CPPFLAGS=-I/opt/local/include
 -isysroot/Library/Developer/CommandLineTools/SDKs/MacOSX12.sdk'
 'LDFLAGS=-L/opt/local/lib -Wl,-headerpad_max_install_names -lfreetype
 -lfontconfig -Wl,-no_pie
 -Wl,-syslibroot,/Library/Developer/CommandLineTools/SDKs/MacOSX12.sdk
 -arch x86_64''

Configured features:
ACL CAIRO FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBXML2 MODULES NATIVE_COMP NOTIFY KQUEUE PDUMPER PNG THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XAW3D XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LC_CTYPE: de_DE.UTF-8
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: ELisp/d

Minor modes in effect:
  shell-dirtrack-mode: t
  midnight-mode: t
  display-time-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
/Library/Application Support/Emacs/preview-latex hides /opt/local/share/emacs/site-lisp/preview-latex
/Library/Application Support/Emacs/autoconf-mode hides /opt/local/share/emacs/site-lisp/autoconf-mode
/Library/Application Support/Emacs/tex-site hides /opt/local/share/emacs/site-lisp/tex-site
/Library/Application Support/Emacs/auctex hides /opt/local/share/emacs/site-lisp/auctex
/Library/Application Support/Emacs/autotest-mode hides /opt/local/share/emacs/site-lisp/autotest-mode
/Library/Application Support/Emacs/punycode hides /opt/local/share/emacs/site-lisp/punycode
/Library/Application Support/Emacs/idna hides /opt/local/share/emacs/site-lisp/idna
/Library/Application Support/Emacs/cmake-mode hides /opt/local/share/emacs/site-lisp/cmake-mode
/Library/Application Support/Emacs/calendar29/cal-move hides /opt/local/share/emacs/29.0.50/lisp/calendar/cal-move
/Library/Application Support/Emacs/calendar29/lunar hides /opt/local/share/emacs/29.0.50/lisp/calendar/lunar
/Library/Application Support/Emacs/calendar29/solar hides /opt/local/share/emacs/29.0.50/lisp/calendar/solar
/Library/Application Support/Emacs/calendar29/icalendar hides /opt/local/share/emacs/29.0.50/lisp/calendar/icalendar
/Library/Application Support/Emacs/calendar29/calendar hides /opt/local/share/emacs/29.0.50/lisp/calendar/calendar
/Library/Application Support/Emacs/calendar29/cal-html hides /opt/local/share/emacs/29.0.50/lisp/calendar/cal-html
/Library/Application Support/Emacs/calendar29/cal-iso hides /opt/local/share/emacs/29.0.50/lisp/calendar/cal-iso
/Library/Application Support/Emacs/calendar29/cal-tex hides /opt/local/share/emacs/29.0.50/lisp/calendar/cal-tex
/Library/Application Support/Emacs/calendar29/parse-time hides /opt/local/share/emacs/29.0.50/lisp/calendar/parse-time
/Library/Application Support/Emacs/calendar29/holidays hides /opt/local/share/emacs/29.0.50/lisp/calendar/holidays
/Library/Application Support/Emacs/calendar29/cal-menu hides /opt/local/share/emacs/29.0.50/lisp/calendar/cal-menu
/Library/Application Support/Emacs/calendar29/hol-loaddefs hides /opt/local/share/emacs/29.0.50/lisp/calendar/hol-loaddefs
/Library/Application Support/Emacs/calendar29/cal-x hides /opt/local/share/emacs/29.0.50/lisp/calendar/cal-x
/Library/Application Support/Emacs/calendar29/diary-lib hides /opt/local/share/emacs/29.0.50/lisp/calendar/diary-lib
/Library/Application Support/Emacs/calendar29/diary-loaddefs hides /opt/local/share/emacs/29.0.50/lisp/calendar/diary-loaddefs

Features:
(shadow sort mail-extr emacsbug message rmc puny rfc822 mml mml-sec epa
epg rfc6068 epg-config gnus-util rmail rmail-loaddefs auth-source eieio
eieio-core eieio-loaddefs password-cache json map mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils rect make-mode
thingatpt cal-julian holidays hol-loaddefs mule-util time-stamp
compare-w help-fns radix-tree cl-print debug backtrace find-func
cal-move misearch multi-isearch vc-git diff-mode easy-mmode
vc-dispatcher cl-seq cl-extra help-mode face-remap diary-lib
diary-loaddefs derived cal-menu calendar cal-loaddefs compile
text-property-search sh-script smie executable view bug-reference
dired-aux autorevert filenotify dired dired-loaddefs time-date seq
subr-x byte-opt bytecomp byte-compile cconv shell pcomplete comint
ansi-color ring jka-compr midnight time cus-load ucs-normalize cl-macs
cl gv session desktop frameset cl-loaddefs cl-lib advice iso-transl
tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads kqueue
lcms2 dynamic-setting system-font-setting font-render-setting cairo
x-toolkit x multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 412596 37904)
 (symbols 48 12251 0)
 (strings 32 42815 3685)
 (string-bytes 1 1604041)
 (vectors 16 50992)
 (vector-slots 8 1515969 172522)
 (floats 8 85 292)
 (intervals 56 19161 69)
 (buffers 992 43))

--
Greetings

  Pete

Math illiteracy affects 7 out of every 5 Americans.